[@rxap/data-source](../wiki/globals) / RxapStaticDataSource

# Function: RxapStaticDataSource()

> **RxapStaticDataSource**\<`Data`\>(`metadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:112](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/static.data-source.ts#L112)

## Type Parameters

• **Data**

## Parameters

### metadata

[`StaticDataSourceMetadata`](../wiki/Interface.StaticDataSourceMetadata)\<`Data`\>

### className

`string` = `'StaticDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`StaticDataSource`](../wiki/Class.StaticDataSource)\<`Data`\>\>

### Returns

`void`
